mdiNotepad

mdiNotepad 2.4c

mdiNotepad Version 2.4c Copyright © 2001-2002 Tom Kostiainen, All Rights Reserved.

For the latest version visit:

http://koti.mbnet.fi/fidgety or
http://personal.inet.fi/private/area/downloads/

Send a comment or a bug report:

Mail to: tom.kostiainen@mbnet.fi


Edit > Arrange

The selected lines will be arranged (ascending) according to the ASCII values of the characters on each line.


Edit > Auto Paste

When Auto Paste is activated mdiNotepad will check the text in the clipboard (once every second), if the text changes it will be pasted on to a new line in the document that was active when Auto Paste was first activated.


Auto Complete

Through the File > Auto Complete menu you can add and remove text strings to be used by the Auto Complete function. When adding text you can specify a pick size. Usually 2 is enough but in some cases the value needs to be higher. mdiNotepad uses the Sample Size when it tries to recognize the text to be auto completed. The value also determines the minimum amount of characters required to be typed before Auto Complete can be used on that string of text.

When editing press Shift+Enter to Auto Complete. You must first type in at least few (depends on the Sample Size) of the first characters of the text string, so that Auto Complete can recognize what should be completed. The Auto Complete function is not case sensitive.


Edit > Block Edit

The Block Edit tool makes working with column data easier than ever. Just set the separators and the export and import data as you please.

If you like to use special characters in your separator just enter a % character followed by the ASCII value of the character you wish to use (%13%10 would be a line break).


Edit > Bookmark

By setting a bookmark you can easily return later to the same position in the document using the Goto function.


Edit > Break Lines

The function breaks the lines in a document either following the word wrap or by the value specified.

If you choose to follow the word wrapping you can change where Break Lines breaks the lines by resizing the document window before using the function.


File > Browse files

Use the Browse Files tool to quickly browse through and edit text files. You can also modify, copy files, rename a file, delete files, paste the path of a file, insert a file to a document and search through files in a directory.


Window > Clone Window

Using the function you can clone the active window.


Edit > Copy Special

Using the Copy Special function you can choose to have certain characters removed before the selected text will be copied to the clipboard. You can also choose to copy only highlighted text.


Edit > Crop

Crop will remove everything but the selected text.


File > Documents

Through the Documents menu you can see the files listed in your Start-menu documents menu. Only files with an extension found in the Open files filter are listed. You can edit the Open filter through the Preferences menu.


Edit > Execute

The Execute function will pass the selected text to the operating system. The selected text can be anything from a file or a directory name to an Internet or email address. If nothing happens the selected text could not be executed.


Search > Find and Highlight

The Find and Highlight function will highlight all the text matching the search string. Use Edit > Clear Highlight to remove the highlights.


F5-F8 and F11-F12

F5-F8 and F11-F12 are function keys that can be customized through the Preferences menu.


Functions and Variables

Functions

ShowMsg("");
Shows a message dialog with the give text

Execute("");
Executes the given value (if none is given the selected text will be executed)

SetVarValue("");
Sets the %VAR% value

DecVar("");
Decrements %VAR% by give value

IncVar("");
Increments %VAR% by give value

MoveSelPosBy("");
Moves the cursor (the value can be negative)

SetSelLength("");
Sets the length of the selection

SetSelPos("");
Sets the position of the cursor

ResetSelStart;
Resets the %SELSTART% value

SelectAll;
Selects all text

InsertText("");
Inserts text

LineBreak;
Inserts a line break, same as %BR%

LaunchFind;
Opens the Find dialog

LaunchReplace;
Opens the Replace dialog

InsertFile;
Executes the Insert file function

Save;
Saves the current document

SaveAll;
Saves all opened files

Undo;
Executes the Undo function

Cut;
Cuts the selected text to the clipboard

Copy;
Copies the selected text to the clipboard

Paste;
Pastes text from the clipboard

Crop;
Crops the selected text

Delete;
Deletes the selected text

Highlight;
Highlights the selected text

RemoveHighlight;
Removes highlighting

WordWrap;
Enables and disables Word Wrapping

InputVar;
Enables inputing a value to %VAR%

Goto("");
Jumps to a certain line in the script specified by the given value. The first line is number 0. Goto only works together with a If or IfNot function.

OpenFile("");
Opens file specified by the given value

Exit;
Aborts the execution of the script

Quit;
Exits mdiNotepad

Variables

%VAR%
Variable that can be set anytime (using SetVarValue) and be given any value

%SELPOS%
The cursor position

%SELLENGHT%
The length of the selection

%SELSTART%
The position of the cursor when the function key was pressed, can be later changed using ResetSelStart;

%LINESTART%
The number of the character in the beginning of the current line

%LINEEND%
The number of the last character on the current line

%ROW%
Current row number

%TIME%
Current time

%DATE%
Current date

%FILE%
Current file

%TEXTLENGTH%
Length of the whole document (character count)

%BR%
Line break


Edit > Highlight

Use the highlight pen to highlight text you want to find quickly when working with a document. Higlight can also be used together with Copy Special. Highligthing won't affect the document in any way. When the file is closed the all highlight information is lost.


Insert File

Use the Insert File function to insert text from another document (file) to the active one.


License agreement and Legal notice

mdiNotepad Version 2.4b Copyright © 2001-2002 Tom Kostiainen, All Rights Reserved.

By using mdiNotepad you agree to the following terms. If you do not agree to the following terms, please notice that you are not allowed to use mdiNotepad.

mdiNotepad is freeware.

If you would like to distribute MDINotepad as part of a shareware distribution, magazine, internet book, CD ROM, etc. contact the author (tom.kostiainen@mbnet.fi) for permission.

MDINOTEPAD IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TOM KOSTIAINEN BE LIABLE FOR ANY DAMAGES WHATSOEVER INCLUDING DIRECT, INDIRECT, INCIDENTAL, CONSEQUENTIAL, LOSS OF BUSINESS PROFITS OR SPECIAL DAMAGES, EVEN IF TOM KOSTIAINEN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Window > Show Library

Through the Library window you can easily store, insert and copy strings of text.


Window > Stay on Top

By activating the stay on top function the mdiNotepad window will stay on top of all the other widows on your desktop.


Edit > Open With...

Through the Open With menu you can pass the active document to another program, e.g. a compiler or a browser.


Window > Show Open Files

Through the Open Files window you can toggle between the opened documents. You can also select files for the Replace Special function.


Window > Show Overview

The Overview window shows you a map of the document. You can use the view to e.g. move the cursor to a new position. Use the refresh button to update the view.


Edit > Paste Special

Using the Paste Special function you can choose to have certain characters removed from the text in the clipboard before it will be pasted into your document.


File > Preferences

Through the Preferences window you can edit the user interface of mdiNotepad to better fit you needs. You can also modify the Open and Save filters and customize the function keys (F5-F8).


File > Properties

Through the properties window you can modify the file properties of a file just like through Windows Explorer. The file must exist so that its properties can be modified.


Edit > Reload

Use the reload function to reload the active document from its source file.


Search > Replace Special...

Using Replace Special you perform a Replace All in all the opened files or only in those you have selected. The files can be selected using the Open Files window.


Window > Show Toolbar

You can toggle between hiding and showing the toolbar. By hiding the toolbar the interface will be more similiar to Windows Notepad's and you will gain more working space.